package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * BMS总览-电池堆电池簇单体数据
 */
public class BMSBatteryDataList {
    /**
     * 簇号
     */
    private String clusterId;

    /** 簇电压 (V) */
    private BigDecimal clusterVoltage;

    /** 簇电流 (A) */
    private BigDecimal clusterCurrent;

    /** 簇SOC (%) */
    private BigDecimal currentSoc;

    /** 单体最高电压 (V) */
    private BigDecimal maxCellVoltage;

    /** 最高单体电压对应点号 */
    private String maxCellVoltageId;

    /** 单体最低电压 (V) */
    private BigDecimal minCellVoltage;

    /** 最低单体电压对应点号 */
    private String minCellVoltageId;

    /** 单体最高温度 (℃) */
    private BigDecimal maxCellTemp;

    /** 最高单体温度对应点号 */
    private String maxCellTempId;

    /** 单体最低温度 (℃) */
    private BigDecimal minCellTemp;

    /** 最低单体温度对应点号 */
    private String minCellTempId;

    /** 换电站id */
    private String siteId;

    /** 堆id */
    private String stackDeviceId;

    public String getClusterId() {
        return clusterId;
    }

    public void setClusterId(String clusterId) {
        this.clusterId = clusterId;
    }

    public String getStackDeviceId() {
        return stackDeviceId;
    }

    public void setStackDeviceId(String stackDeviceId) {
        this.stackDeviceId = stackDeviceId;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public BigDecimal getMinCellTemp() {
        return minCellTemp;
    }

    public void setMinCellTemp(BigDecimal minCellTemp) {
        this.minCellTemp = minCellTemp;
    }

    public BigDecimal getMaxCellTemp() {
        return maxCellTemp;
    }

    public void setMaxCellTemp(BigDecimal maxCellTemp) {
        this.maxCellTemp = maxCellTemp;
    }

    public BigDecimal getMinCellVoltage() {
        return minCellVoltage;
    }

    public void setMinCellVoltage(BigDecimal minCellVoltage) {
        this.minCellVoltage = minCellVoltage;
    }

    public BigDecimal getMaxCellVoltage() {
        return maxCellVoltage;
    }

    public void setMaxCellVoltage(BigDecimal maxCellVoltage) {
        this.maxCellVoltage = maxCellVoltage;
    }

    public BigDecimal getCurrentSoc() {
        return currentSoc;
    }

    public void setCurrentSoc(BigDecimal currentSoc) {
        this.currentSoc = currentSoc;
    }

    public BigDecimal getClusterCurrent() {
        return clusterCurrent;
    }

    public void setClusterCurrent(BigDecimal clusterCurrent) {
        this.clusterCurrent = clusterCurrent;
    }

    public BigDecimal getClusterVoltage() {
        return clusterVoltage;
    }

    public void setClusterVoltage(BigDecimal clusterVoltage) {
        this.clusterVoltage = clusterVoltage;
    }

    public String getMaxCellVoltageId() {
        return maxCellVoltageId;
    }

    public void setMaxCellVoltageId(String maxCellVoltageId) {
        this.maxCellVoltageId = maxCellVoltageId;
    }

    public String getMinCellTempId() {
        return minCellTempId;
    }

    public void setMinCellTempId(String minCellTempId) {
        this.minCellTempId = minCellTempId;
    }

    public String getMaxCellTempId() {
        return maxCellTempId;
    }

    public void setMaxCellTempId(String maxCellTempId) {
        this.maxCellTempId = maxCellTempId;
    }

    public String getMinCellVoltageId() {
        return minCellVoltageId;
    }

    public void setMinCellVoltageId(String minCellVoltageId) {
        this.minCellVoltageId = minCellVoltageId;
    }
}
